#
# Conditional build:
%bcond_with		tests	# do not perform "make test"

%include	/usr/lib/rpm/macros.php
%define		php_min_version 5.0.0
Summary:	Pure PHP Implementation of gettext
Summary(pl.UTF-8):	Implementacja gettexta w czystym PHP
Name:		php-gettext-pure
Version:	1.0.10
Release:	3
License:	GPL v2
Group:		Development/Languages/PHP
Source0:	http://launchpad.net/php-gettext/trunk/%{version}/+download/php-gettext-%{version}.tar.gz
# Source0-md5:	dbae5ad3f7eab5cd4530768000f9b6be
URL:		https://launchpad.net/php-gettext
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.461
%if %{with tests}
%if %(locale -a | grep -q '^sr_RS$'; echo $?)
# Not provided in PLD Linux by a package
BuildRequires:	locale(sr_SR)
%endif
BuildRequires:	php-PHPUnit
%endif
Requires:	php(core) >= %{php_min_version}
Requires:	php(mbstring)
Requires:	php(pcre)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional php dependencies
%define		_noautophp	php-gettext

# put it together for rpmbuild
%define		_noautoreq	%{?_noautophp} %{?_noautopear}

%description
Provides a simple gettext replacement that works independently from
the system's gettext abilities. It can read MO files and use them for
translating strings. The files are passed to gettext_reader as a
Stream.

This version has the ability to cache all strings and translations to
speed up the string lookup. While the cache is enabled by default, it
can be switched off with the second parameter in the constructor (e.g.
when using very large MO files that you don't want to keep in memory)

%description -l pl.UTF-8
Ten moduł udostępnia prosty zamiennik gettexta działający niezależnie
od systemowych możliwości. Potrafi czytać pliki MO i wykorzystywać je
do tłumaczenia łańcuchów znaków. Pliki te są przekazywane do
gettext_reader jako obiekty Stream.

Ta wersja ma możliwość zapamiętywania (cache'owania) wszystkich
łańcuchów i tłumaczeń w celu przyspieszenia wyszukiwania łańcuchów.
Pamięć podręczna jest domyślnie włączona, ale można ją wyłączyć drugim
parametrem dla konstruktora (np. w przypadku używania bardzo dużych
plików MO, których nie chcemy trzymać w pamięci).

%prep
%setup -q -n php-gettext-%{version}

%build
%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/php,%{_examplesdir}/%{name}-%{version}}
cp -a gettext.inc gettext.php streams.php $RPM_BUILD_ROOT%{_datadir}/php
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%{php_data_dir}/gettext.inc
%{php_data_dir}/gettext.php
%{php_data_dir}/streams.php
%{_examplesdir}/%{name}-%{version}
%changelog
* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> c0d95b0
- use php(core) as dependency to require php version
- release 2 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 1f64570
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Tue Mar 23 2010 Elan Ruusamäe <glen@pld-linux.org> 1f82915
- up to 1.0.10
- add tests bcond (needs sr_SR locale)
- php autodeps

* Tue Dec 01 2009 Elan Ruusamäe <glen@pld-linux.org> c41653b
- up to 1.0.9

* Mon Nov 30 2009 Elan Ruusamäe <glen@pld-linux.org> c5dbebf
- fix files; rel 2

* Mon Nov 30 2009 Elan Ruusamäe <glen@pld-linux.org> bbab186
- project moved to launchpad
- update to 1.0.8

* Thu Nov 22 2007 Elan Ruusamäe <glen@pld-linux.org> 8ef90a6
- rel 1

* Tue Apr 24 2007 Jakub Bogusz <qboosh@pld-linux.org> 7b6986a
- pl

* Wed Apr 18 2007 Elan Ruusamäe <glen@pld-linux.org> ab027fd
- uses mbstring (mb_detect_encoding)

* Wed Apr 18 2007 Elan Ruusamäe <glen@pld-linux.org> d1c00a5
- pure php implementation if php-gettext

